#ifndef VENDINGDATA_H
#define VENDINGDATA_H


#include <QObject>
#include <QHash>
#include <QVariant>


typedef QList<QByteArray> FormatedStringList;


class VendingData : public QObject
{
    Q_OBJECT

private:
    QHash<QString, QVariant> hash;

public:
    explicit VendingData(QObject *parent = nullptr);

    QVariant getParameter(const QString & key);
    void setParameter(const QString & key, QVariant value);
    void clearParameter(const QString & key);
    bool hasParameter(const QString & key);

    uint getUintParameter(const QString & key);


signals:

public slots:
    void clear();
};

#endif // VENDINGDATA_H
